Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-5887

Code checker doesn't support inline @deprecated

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Not a bug
    • Affects Version/s: 2.9.1
    • Fix Version/s: None
    • Component/s: Local: Code checker
    • Labels:
      None
    • Plugin Version:
      2.3.2
    • Affected Branches:
      MOODLE_29_STABLE

      Description

      //- @deprecated- -- Use- fullnamecourse- or- fullnameuser- or- some- own- context- specific- string.
      

      The above generates the following

      Inline comments must start with a capital letter, digit or 3-dots sequence

      Changing // to /* makes the error go away but its not ideal.

        Attachments

          Activity

            People

            Assignee:
            moodle.com moodle.com
            Reporter:
            andyjdavis Andrew Davis
            Participants:
            Component watchers:
            moodle.com, Eloy Lafuente (stronk7)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: